<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@FFF71C=19</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time"> <comment>Note that you may have to shut the cheats off after you wipe out so you can Game Over (there are some cases where you can't go anywhere without falling into oblivion after a crash).</comment>
    <script state="run">
      <action>maincpu.pd@FF97CA=00005DC4</action>
    </script>
  </cheat>

  <cheat desc="Minimum Lap Time">
    <script state="on">
      <action>temp0 =maincpu.mw@020AF0</action>
      <action>temp1 =maincpu.mw@020AEA</action>
    </script>
    <script state="run">
      <action>maincpu.mw@020AF0=42B9</action>
      <action>maincpu.mw@020AEA=23C8</action>
    </script>
    <script state="off">
      <action>maincpu.mw@020AF0=temp0 </action>
      <action>maincpu.mw@020AEA=temp1 </action>
    </script>
  </cheat>

  <cheat desc="Collision Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@028574</action>
    </script>
    <script state="run">
      <action>maincpu.mb@028574=60</action>
    </script>
    <script state="off">
      <action>maincpu.mb@028574=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
